// EditAnim.cpp : implementation file
//

#include "stdafx.h"
#include "EditAnim.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditAnim dialog


CEditAnim::CEditAnim(CWnd* pParent /*=NULL*/)
	: CDialog(CEditAnim::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditAnim)
	m_Rand = 0;
	m_PingPong = FALSE;
	m_FrameRate = 0;
	m_Delay = 0;
	//}}AFX_DATA_INIT
}


void CEditAnim::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditAnim)
	DDX_Text(pDX, IDC_RAND, m_Rand);
	DDX_Check(pDX, IDC_PINGPONG, m_PingPong);
	DDX_Text(pDX, IDC_FRAMERATE, m_FrameRate);
	DDV_MinMaxInt(pDX, m_FrameRate, 1, 70);
	DDX_Text(pDX, IDC_DELAY, m_Delay);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditAnim, CDialog)
	//{{AFX_MSG_MAP(CEditAnim)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditAnim message handlers
